Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 686386 - mate-base/mate-panel-1.22.0 USE=-X - configure: error: No support yet for non-X11 builds
Summary: mate-base/mate-panel-1.22.0 USE=-X - configure: error: No support yet for non...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo MATE Desktop
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-20 11:30 UTC by Marcel Sondaar
Modified: 2020-09-03 22:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Sondaar 2019-05-20 11:30:25 UTC
Building mate-panel without the X use flag set results in the following configure error:

> configure: error: No support yet for non-X11 builds
> 
> !!! Please attach the following file when seeking support:
> !!! /var/tmp/portage/mate-base/mate-panel-1.22.0/work/mate-panel-1.22.0/config.log

Setting +X results in a successful merge.

Considering X11 does not appear to be an optional dependency for this desktop environment component, it should probably be dropped as an available use flag.
Comment 1 Arnaud Vallette d'Osia 2019-12-07 16:01:40 UTC
confirmed
Comment 2 Larry the Git Cow gentoo-dev 2020-04-06 18:58:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c572cf25083816342239b51fe94a2ad7c2b645e5

commit c572cf25083816342239b51fe94a2ad7c2b645e5
Author:     Adam Feldman <NP-Hardass@gentoo.org>
AuthorDate: 2020-04-06 18:54:59 +0000
Commit:     Adam Feldman <NP-Hardass@gentoo.org>
CommitDate: 2020-04-06 18:57:21 +0000

    mate-base/mate-panel: Adjust X flags/deps
    
    Bug: https://bugs.gentoo.org/686386
    Package-Manager: Portage-2.3.96, Repoman-2.3.21
    Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>

 mate-base/mate-panel/mate-panel-1.22.2-r1.ebuild | 68 +++++++++++++++++++++++
 mate-base/mate-panel/mate-panel-1.24.0-r1.ebuild | 70 ++++++++++++++++++++++++
 2 files changed, 138 insertions(+)